# Summary

* [Get started](workloads/realtime/example.md)

## Workloads

* Realtime
  * [Example](workloads/realtime/example.md)
  * [Predictor](workloads/realtime/predictors.md)
  * [Configuration](workloads/realtime/configuration.md)
  * [Models](workloads/realtime/models.md)
  * [Parallelism](workloads/realtime/parallelism.md)
  * [Server-side batching](workloads/realtime/server-side-batching.md)
  * [Autoscaling](workloads/realtime/autoscaling.md)
  * [Metrics](workloads/realtime/metrics.md)
  * [Statuses](workloads/realtime/statuses.md)
  * [Troubleshooting](workloads/realtime/troubleshooting.md)
* Batch
  * [Example](workloads/batch/example.md)
  * [Predictor](workloads/batch/predictors.md)
  * [Configuration](workloads/batch/configuration.md)
  * [Endpoints](workloads/batch/endpoints.md)
  * [Statuses](workloads/batch/statuses.md)
* Multi-model
  * [Example](workloads/multi-model/example.md)
  * [Configuration](workloads/multi-model/configuration.md)
  * [Caching](workloads/multi-model/caching.md)
* Traffic Splitter
  * [Example](workloads/traffic-splitter/example.md)
  * [Configuration](workloads/traffic-splitter/configuration.md)
* Managing dependencies
  * [Example](workloads/dependencies/example.md)
  * [Python packages](workloads/dependencies/python-packages.md)
  * [System packages](workloads/dependencies/system-packages.md)
  * [Custom images](workloads/dependencies/images.md)

## Clusters

* AWS
  * [Install](clusters/aws/install.md)
  * [Update](clusters/aws/update.md)
  * [Security](clusters/aws/security.md)
  * [Spot instances](clusters/aws/spot.md)
  * [Networking](clusters/aws/networking/index.md)
    * [Custom domain](clusters/aws/networking/custom-domain.md)
    * [HTTPS (via API Gateway)](clusters/aws/networking/https.md)
    * [VPC peering](clusters/aws/networking/vpc-peering.md)
  * [Setting up kubectl](clusters/aws/kubectl.md)
  * [Uninstall](clusters/aws/uninstall.md)
* GCP
  * [Install](clusters/gcp/install.md)
  * [Credentials](clusters/gcp/credentials.md)
  * [Setting up kubectl](clusters/gcp/kubectl.md)
  * [Uninstall](clusters/gcp/uninstall.md)

## Clients

* [Install](clients/install.md)
* [CLI commands](clients/cli.md)
* [Python API](clients/python.md)
* [Environments](clients/environments.md)
* [Telemetry](clients/telemetry.md)
* [Uninstall](clients/uninstall.md)
